# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Matrix3.hpp File Reference

`#include <vl/Vector3.hpp>`
`#include <vl/Matrix2.hpp>`

## Classes
class | vl::Matrix3< scalar_type >
| The Matrix3 class is a template class that implements a generic 3x3 matrix, see also vl::dmat3, vl::fmat3, vl::umat3, vl::imat3. More...
## Namespaces
namespace | vl
| Visualization Library namespace.

## Typedefs
typedef Matrix3< GLdouble > | vl::dmat3
| A 3x3 matrix using `GLdouble` precision.
typedef Matrix3< GLfloat > | vl::fmat3
| A 3x3 matrix using `GLfloat` precision.
typedef Matrix3< GLint > | vl::imat3
| A 3x3 matrix using `GLint` precision.
typedef Matrix3< GLuint > | vl::umat3
| A 3x3 matrix using `GLuint` precision.
typedef dmat3 | vl::mat3
| Defined as: `'typedef` `dmat3` `mat3'`. See also VL_PIPELINE_PRECISION.
## Functions
template<typename scalar_type >
Matrix3< scalar_type > | vl::operator* (const Matrix3< scalar_type > &m2, const Matrix3< scalar_type > &m1)
template<typename scalar_type >
Matrix3< scalar_type > | vl::operator+ (scalar_type d, const Matrix3< scalar_type > &m)
template<typename scalar_type >
Matrix3< scalar_type > | vl::operator* (scalar_type d, const Matrix3< scalar_type > &m)
template<typename scalar_type >
Vector3< scalar_type > | vl::operator* (const Matrix3< scalar_type > &m, const Vector3< scalar_type > &v)
| Post multiplication: matrix * column vector.
template<typename scalar_type >
Vector2< scalar_type > | vl::operator* (const Matrix3< scalar_type > &m, const Vector2< scalar_type > &v)
| Post multiplication: matrix * column vector The incoming vector is considered a Vector3<scalar_type> with the component z = 0.
template<typename scalar_type >
Vector3< scalar_type > | vl::operator* (const Vector3< scalar_type > &v, const Matrix3< scalar_type > &m)
| Pre multiplication: row vector * matrix.
template<typename scalar_type >
Vector2< scalar_type > | vl::operator* (const Vector2< scalar_type > &v, const Matrix3< scalar_type > &m)
| Pre multiplication: row vector * matrix The incoming vector is considered a Vector3<scalar_type> with the component z = 0.

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:39 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.